Installation

  • Make sure you are using WordPress 3.1 or later and that your server is running PHP5 and MySQL 5. If you are using WordPress 3.2 or newer, PHP and MySQL requirements are the same.
  • If you tried other multilingual plugins, deactivate them before activating Polylang, otherwise, you may get unexpected results !
  • Download the plugin
  • Extract all the files
  • Upload everything (keeping the directory structure) to the `/wp-content/plugins/` directory.
  • Activate the plugin through the ‘Plugins’ menu in WordPress.
  • Go to the languages settings page and create the languages you need
  • Add the ‘language switcher’ widget to let your visitors switch the language
  • Take care that your theme must come with the corresponding .mo files. Polylang downloads them default themes (Twenty Ten, Twenty Eleven, Twenty Twelve…). If your theme is not internationalized yet, please refer to the codex or ask the theme author to internationalize it.